POST
/api/v1/datasetsCreate a dataset with optional inline cases
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string",
"source": "manual",
"cases": [
{
"input": "string",
"expectedOutput": "string",
"metadata": {}
}
]
}Schema
{
"application/json": {
"schema": {
"type": "object",
"required": [
"projectId",
"name"
],
"properties": {
"projectId": {
"type": "string",
"format": "uuid"
},
"name": {
"type": "string"
},
"description": {
"type": "string"
},
"source": {
"type": "string",
"default": "manual"
},
"cases": {
"type": "array",
"items": {
"type": "object",
"required": [
"input"
],
"properties": {
"input": {
"type": "string"
},
"expectedOutput": {
"type": "string"
},
"metadata": {
"type": "object"
}
}
}
}
}
}
}
}Response
All status codes
201Dataset created
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/datasets \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "projectId": "00000000-0000-0000-0000-000000000000", "name": "string", "description": "string", "source": "manual", "cases": [ { "input": "string", "expectedOutput": "string", "metadata": {} } ] }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/datasets",
body: {
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string",
"source": "manual",
"cases": [
{
"input": "string",
"expectedOutput": "string",
"metadata": {}
}
]
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/datasets",
body={
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"description": "string",
"source": "manual",
"cases": [
{
"input": "string",
"expectedOutput": "string",
"metadata": {}
}
]
},
)
print(response)Go
package main
import (
"context"
"fmt"
"os"
"github.com/evalguard/evalguard-go"
)
func main() {
client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
resp, err := client.Request(context.Background(), "POST", "/api/v1/datasets", map[string]any{"projectId": "00000000-0000-0000-0000-000000000000", "name": "string", "description": "string", "source": "manual", "cases": []any{map[string]any{"input": "string", "expectedOutput": "string", "metadata": map[string]any{}}}})
if err != nil { panic(err) }
fmt.Println(resp)
}